Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.jdbc
Class Driver

    java.lang.Object
      |
      +--com.bea.p13n.content.document.jdbc.Driver

public class Driver
extends java.lang.Object
implements java.sql.Driver

A JDBC driver that maps onto DocumentProviders.

This driver only supports CallableStatements and a very limited set of statements calls (i.e. no SQL).

This driver responds to url of the form "jdbc:beasys:docmgmt". The document provider implementation class name is expected either in the configuration properties at "documentProvider" or after the url, as in "jdbc:beasys:docmgmt:ProviderClass". The configuration properties passed into the connection method will be forwarded onto the DocumentProvider's init() method.

Since:
  2.0

Field Summary
`static java.lang.String` | `URL_PREFIX`

Constructor Summary
`Driver()`

Method Summary
`boolean` | `acceptsURL(java.lang.String url)` Tell if this driver accepts the specific JDBC url.
`java.sql.Connection` | `connect(java.lang.String url, java.util.Properties info)` Open a connection to the document management system.
`int` | `getMajorVersion()` Get the driver major version.
`int` | `getMinorVersion()` Get the driver minor version.
`java.sql.DriverPropertyInfo[]` | `getPropertyInfo(java.lang.String url, java.util.Properties info)` Return driver property info based upon the specified configuration.
`boolean` | `jdbcCompliant()` Tell if this driver is JDBC compliant.
`void` | `setClassLoader(java.lang.ClassLoader classLoader)` Set the ClassLoader this should use.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### URL_PREFIX

    public static final java.lang.String URL_PREFIX

Constructor Detail

### Driver

    public Driver()

Method Detail

### acceptsURL

    public boolean acceptsURL(java.lang.String url)

  Tell if this driver accepts the specific JDBC url.

  This driver only accepts urls beginning with "jdbc:beasys:docmgmt".

  Specified by:
    acceptsURL in interface java.sql.Driver

  Parameters:
    `url` - the url to check.
  Returns:
    true if the url is valid, false if not.

### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties info)
                                throws java.sql.SQLException

  Open a connection to the document management system.
  Specified by:
    connect in interface java.sql.Driver

  Parameters:
    `url` - the JDBC url.
    `info` - the configuration properties.
  Returns:
    a Connection on success, null on bad url.
  Throws:
    java.sql.SQLException - thrown on an error.

### getMajorVersion

    public int getMajorVersion()

  Get the driver major version.
  Specified by:
    getMajorVersion in interface java.sql.Driver

### getMinorVersion

    public int getMinorVersion()

  Get the driver minor version.
  Specified by:
    getMinorVersion in interface java.sql.Driver

### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String url,
                                                         java.util.Properties info)

  Return driver property info based upon the specified configuration.
  Specified by:
    getPropertyInfo in interface java.sql.Driver

  Parameters:
    `url` - the JDBC url.
    `info` - the configuration properties so far.
  Returns:
    null.

### jdbcCompliant

    public boolean jdbcCompliant()

  Tell if this driver is JDBC compliant.
  Specified by:
    jdbcCompliant in interface java.sql.Driver

  Returns:
    false.

### setClassLoader

    public void setClassLoader(java.lang.ClassLoader classLoader)

  Set the ClassLoader this should use.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved